Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.quartz.jobs
Class CustomJobConfig

    java.lang.Object
      org.mule.transport.quartz.config.AbstractJobConfig
          org.mule.transport.quartz.jobs.CustomJobConfig

All Implemented Interfaces:
  Serializable, MuleContextAware, JobConfig

    public class CustomJobConfig

extends AbstractJobConfig

This configuration simply holds a reference to a user defined job to execute.

See Also:
  Serialized Form

Constructor Summary
`CustomJobConfig()`

Method Summary
`org.quartz.Job` | `getJob()`
`protected Class<? extends org.quartz.StatefulJob>` | `getStatefulJobClass()`
`protected Class<? extends org.quartz.Job>` | `getStatelessJobClass()`
`void` | `setJob(org.quartz.Job job)`

Methods inherited from class org.mule.transport.quartz.config.AbstractJobConfig
`getGroupName, getJobClass, getJobGroupName, getMuleContext, isStateful, setGroupName, setJobGroupName, setMuleContext, setStateful`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CustomJobConfig

    public CustomJobConfig()

Method Detail

### getJob

    public org.quartz.Job getJob()

### setJob

    public void setJob(org.quartz.Job job)

### getStatefulJobClass

    protected Class<? extends org.quartz.StatefulJob> getStatefulJobClass()

  Specified by:
    `getStatefulJobClass` in class `AbstractJobConfig`

### getStatelessJobClass

    protected Class<? extends org.quartz.Job> getStatelessJobClass()

  Specified by:
    `getStatelessJobClass` in class `AbstractJobConfig`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.